% commands to reproduce Figure 2 of the paper 
% "Groebner Basis Methods for Multichannel Sampling with Unknown Offsets",
% Luciano Sbaiz, Patrick Vandewalle, and Martin Vetterli 

% Matlab and Mathematica code to reproduce results from the paper                  
% "Groebner Basis Methods for Multichannel Sampling with Unknown Offsets",
% Luciano Sbaiz, Patrick Vandewalle, and Martin Vetterli 
% available at http://lcavwww.epfl.ch/reproducible_research/SbaizVV06/ 
%                                                                           
% Copyright (C) 2006 Laboratory of Audiovisual Communications (LCAV),       
% Ecole Polytechnique Federale de Lausanne (EPFL),                          
% CH-1015 Lausanne, Switzerland                                             
%                                                                           
% This program is free software; you can redistribute it and/or modify it  
% under the terms of the GNU General Public License as published by the     
% Free Software Foundation; either version 2 of the License, or (at your    
% option) any later version. This software is distributed in the hope that  
% it will be useful, but without any warranty; without even the implied     
% warranty of merchantability or fitness for a particular purpose.          
% See the GNU General Public License for more details                       
% (enclosed in the file GPL).                                               
%                                                                           
% Latest modifications: June 13, 2006  

f = inline('64*x.^2 - 24*x - 4');
t = [0:0.01:1];
t0 = [0 0.5];
t1 = t0+1/8;
figure; plot(t,f(t),'LineWidth',2)
hold on;
plot(t0,f(t0),'ro','MarkerSize',7,'Linewidth',3);
plot(t1,f(t1),'gx','MarkerSize',15,'Linewidth',3);
xlabel('t');
legend('f(t)','y_0(n)','y_1(n)','Location','Best');
