% commands to reproduce Figure 3 of the paper 
% "Groebner Basis Methods for Multichannel Sampling with Unknown Offsets",
% Luciano Sbaiz, Patrick Vandewalle, and Martin Vetterli 

% Matlab and Mathematica code to reproduce results from the paper                  
% "Groebner Basis Methods for Multichannel Sampling with Unknown Offsets",
% Luciano Sbaiz, Patrick Vandewalle, and Martin Vetterli 
% available at http://lcavwww.epfl.ch/reproducible_research/SbaizVV06/ 
%                                                                           
% Copyright (C) 2006 Laboratory of Audiovisual Communications (LCAV),       
% Ecole Polytechnique Federale de Lausanne (EPFL),                          
% CH-1015 Lausanne, Switzerland                                             
%                                                                           
% This program is free software; you can redistribute it and/or modify it  
% under the terms of the GNU General Public License as published by the     
% Free Software Foundation; either version 2 of the License, or (at your    
% option) any later version. This software is distributed in the hope that  
% it will be useful, but without any warranty; without even the implied     
% warranty of merchantability or fitness for a particular purpose.          
% See the GNU General Public License for more details                       
% (enclosed in the file GPL).                                               
%                                                                           
% Latest modifications: June 13, 2006  

x = [3 2-j 1 2+j 3].';
x_hr = zeros(101,1);
x_hr(49:53) = x;
y0 = [11 -7 3 -3];
y1 = [1+sqrt(2) 1-3*sqrt(2) 1-sqrt(2) 1+3*sqrt(2)];
figure; plot([0:1/101:1-1/101],101*real(ifft(ifftshift(x_hr))),'LineWidth',2)
hold on;
plot([0:0.25:0.75],y0,'ro','MarkerSize',7,'Linewidth',3);
plot([0:0.25:0.75]+0.125,y1,'gx','MarkerSize',15,'Linewidth',3);
xlabel('t');
legend('f(t)','y_0(n)','y_1(n)','Location','Best');